Class AppServicesImpl
- All Implemented Interfaces:
AppServices
AppServices over the shared FabricBeta apiParams area.
Beta: Fabric v4 4.34.0 (spec read 2026-11-11).
Generated from the Fabric v4 OpenAPI spec by the fabric-beta generator; regenerate rather than hand-edit.
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptioncreate(AppServicePostRequest request) Create Service:POST /fabric/v4/appServices(operationcreateAppService).Delete Service:DELETE /fabric/v4/appServices/{appServiceId}(operationdeleteAppServiceByUuid).Get Service:GET /fabric/v4/appServices/{appServiceId}(operationgetAppServiceByUuid).listAttachedAppLinks(String appServiceId) Get Attached Links for Service:GET /fabric/v4/appServices/{appServiceId}/appLinks(operationgetAttachedAppLinksByAppServiceId).listAttachedAppLinks(String appServiceId, AttachmentQuery query) Get Attached Links for Service:GET /fabric/v4/appServices/{appServiceId}/appLinks(operationgetAttachedAppLinksByAppServiceId).listAttachedAppSubscriptions(String appServiceId) Get Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query) Get Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).search()Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices).search(FilterPropertyList filter) Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices).search(FilterPropertyList filter, SortPropertyList sort) Search Services:POST /fabric/v4/appServices/search(operationsearchAppServices).searchAttachedAppSubscriptions(String appServiceId) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter, SortPropertyList sort) Search Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).update(String appServiceId, List<PatchOperation> operations) Update Service:PATCH /fabric/v4/appServices/{appServiceId}(operationupdateAppServiceByUuid).
-
Constructor Details
-
AppServicesImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:AppServicesCreate Service:POST /fabric/v4/appServices(operationcreateAppService).This API provides capability to create user's Service
- Specified by:
createin interfaceAppServices- Parameters:
request- theAppServicePostRequestrequest body- Returns:
- the
AppServicethe API returns
-
getByUuid
Description copied from interface:AppServicesGet Service:GET /fabric/v4/appServices/{appServiceId}(operationgetAppServiceByUuid).This API provides capability to retrieve user's Service
- Specified by:
getByUuidin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameter- Returns:
- the
AppServicethe API returns
-
delete
Description copied from interface:AppServicesDelete Service:DELETE /fabric/v4/appServices/{appServiceId}(operationdeleteAppServiceByUuid).This API provides capability to delete user's Service
- Specified by:
deletein interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameter- Returns:
- the
AppServicethe API returns
-
update
Description copied from interface:AppServicesUpdate Service:PATCH /fabric/v4/appServices/{appServiceId}(operationupdateAppServiceByUuid).This API provides capability to update user's Service
Sent as
application/json-patch+json, per the spec. Patchable paths named by the spec:/description,/name,/sourceDomains.- Specified by:
updatein interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameteroperations- the patch operations (op/path/value)- Returns:
- the
AppServicethe API returns
-
search
Description copied from interface:AppServicesSearch Services:POST /fabric/v4/appServices/search(operationsearchAppServices).The API provides capability to get list of user's App Services using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/changeLog/createdDateTime,/changeLog/deletedDateTime,/changeLog/updatedDateTime,/description,/endpoint,/name,/project/projectId,/sourceDomains,/state,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name,/state,/uuid.- Specified by:
searchin interfaceAppServices- Parameters:
filter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppService
-
search
Description copied from interface:AppServicesSearch Services:POST /fabric/v4/appServices/search(operationsearchAppServices).The API provides capability to get list of user's App Services using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppServices- Parameters:
filter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppService
-
search
Description copied from interface:AppServicesSearch Services:POST /fabric/v4/appServices/search(operationsearchAppServices).The API provides capability to get list of user's App Services using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchin interfaceAppServices- Returns:
- a lazily paged list of
AppService
-
listAttachedAppLinks
public PaginatedList<AppServiceAttachedAppLink> listAttachedAppLinks(String appServiceId, AttachmentQuery query) Description copied from interface:AppServicesGet Attached Links for Service:GET /fabric/v4/appServices/{appServiceId}/appLinks(operationgetAttachedAppLinksByAppServiceId).This API provides capability to retrieve App Links attached to an App Service
Paged with
offset/limit;statefilters by state.- Specified by:
listAttachedAppLinksin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameterquery- optionalstate/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppServiceAttachedAppLink
-
listAttachedAppLinks
Description copied from interface:AppServicesGet Attached Links for Service:GET /fabric/v4/appServices/{appServiceId}/appLinks(operationgetAttachedAppLinksByAppServiceId).This API provides capability to retrieve App Links attached to an App Service
- Specified by:
listAttachedAppLinksin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameter- Returns:
- a lazily paged list of
AppServiceAttachedAppLink
-
listAttachedAppSubscriptions
public PaginatedList<AppServiceAttachedAppSubscription> listAttachedAppSubscriptions(String appServiceId, AttachmentQuery query) Description copied from interface:AppServicesGet Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).This API provides capability to retrieve App Subscriptions attached to an App Service
Paged with
offset/limit;statefilters by state.- Specified by:
listAttachedAppSubscriptionsin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameterquery- optionalstate/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppServiceAttachedAppSubscription
-
listAttachedAppSubscriptions
public PaginatedList<AppServiceAttachedAppSubscription> listAttachedAppSubscriptions(String appServiceId) Description copied from interface:AppServicesGet Attached Subscriptions for Service:GET /fabric/v4/appServices/{appServiceId}/appSubscriptions(operationgetAttachedAppSubscriptionsByAppServiceId).This API provides capability to retrieve App Subscriptions attached to an App Service
- Specified by:
listAttachedAppSubscriptionsin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameter- Returns:
- a lazily paged list of
AppServiceAttachedAppSubscription
-
searchAttachedAppSubscriptions
public PaginatedFilteredList<AppServiceAttachedAppSubscription> searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter, SortPropertyList sort) Description copied from interface:AppServicesSearch Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).The API provides capability to get list of App Subscriptions attached to an App Service using search criteria
Filter properties named by the spec:
/state,/uuid.Sort properties named by the spec:
/state,/uuid.- Specified by:
searchAttachedAppSubscriptionsin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameterfilter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppServiceAttachedAppSubscription
-
searchAttachedAppSubscriptions
public PaginatedFilteredList<AppServiceAttachedAppSubscription> searchAttachedAppSubscriptions(String appServiceId, FilterPropertyList filter) Description copied from interface:AppServicesSearch Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).The API provides capability to get list of App Subscriptions attached to an App Service using search criteria
- Specified by:
searchAttachedAppSubscriptionsin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameterfilter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppServiceAttachedAppSubscription
-
searchAttachedAppSubscriptions
public PaginatedFilteredList<AppServiceAttachedAppSubscription> searchAttachedAppSubscriptions(String appServiceId) Description copied from interface:AppServicesSearch Attached Subscriptions:POST /fabric/v4/appServices/{appServiceId}/appSubscriptions/search(operationsearchAttachedAppSubscriptionsByAppServiceId).The API provides capability to get list of App Subscriptions attached to an App Service using search criteria
- Specified by:
searchAttachedAppSubscriptionsin interfaceAppServices- Parameters:
appServiceId- theappServiceIdpath parameter- Returns:
- a lazily paged list of
AppServiceAttachedAppSubscription
-